# FdoComputedIdentifier Class Reference

`#include <ComputedIdentifier.h>`

Inheritance diagram for FdoComputedIdentifier:

[legend]

List of all members.

## Detailed Description

The FdoComputedIdentifier class derives from FdoIdentifier and represents an expression with alias. The name or alias must be a simple name and should not be scoped or contain the the schema name. The FdoComputedIdentifier can be used to provide an alias to an expression. For example the expression Length*NumLanes can be refered to as MaxTraficCapacity. In this case, a computed identifier can be created as:.

        FdoComputedIdentifier::Create(L"MaxTraficCapacity",
            FdoBinaryExpression::Create( FdoIdentifier(L"Length"),
                                         FdoBinaryOperations_Multiply,
                                         FdoIdentifier(L"NumLanes")
             );
            );

Note:
  For clarity, the example omits the release code needed to free the various created objects.

Definition at line 46 of file ComputedIdentifier.h.

## Public Member Functions
FDO_API FdoExpression * | GetExpression ()
| Gets the full text of the identifier.
FDO_API void | Process (FdoIExpressionProcessor *p)
| Overrides FdoExpression.Process to pass the FdoComputedIdentifier to the appropriate expression processor operation.
FDO_API void | SetExpression (FdoExpression *value)
| Sets the full text of the identifier.
FDO_API FdoString * | ToString ()
| Returns the well defined text representation of this expression.
virtual FdoString * | ToStringInternal (FdoIdentifierCollection *pIdCol)
| This is an internal method. It returns the well defined text representation of the expression.
## Static Public Member Functions
static FDO_API FdoComputedIdentifier * | Create (FdoString *name, FdoExpression *expression)
| Constructs an instance of an identifier using the specified arguments.
static FDO_API FdoComputedIdentifier * | Create ()
| Constructs a default instance of an identifier.

The documentation for this class was generated from the following file:

- ComputedIdentifier.h